#include <bits/stdc++.h>

using namespace std;

int main() {
    int N, xi, yi, ukup = 0;
    cin >> N;
    int arr[N][N], x[N], y[N];
    for(int i = 0; i < N; i++)
    {
        x[i] = 0;
        y[i] = 0;
    }
    
    for(int i = 0; i < N; i++)
    {
        cin >> xi >> yi;
        x[xi-1]++;
        y[yi-1]++;
    }
    
    int br = 0;
    for(int i = 0; i < N; i++)
    {
        if(x[i] == 0)
        {
            br--;
        }
        else if(x[i] > 1)
        {
            br += x[i] - 1;
        }
        ukup += abs(br);
    }
    cout << "\n" << ukup << "\n";
    for(int i = 0; i < N; i++)
    {
        if(y[i] == 0)
        {
            br--;
        }
        else if(y[i] > 1)
        {
            br += y[i] - 1;
        }
        ukup += abs(br);
    }
    cout << ukup << "\n";
}